Bug 727809 - The gcc package should ship COPYING.RUNTIME
Summary: The gcc package should ship COPYING.RUNTIME
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 09:59 UTC by Laurent Rineau
Modified: 2011-08-22 15:27 UTC (History)
1 user (show)

Fixed In Version: gcc-4.6.1-7.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 15:27:22 UTC


Attachments (Terms of Use)

Description Laurent Rineau 2011-08-03 09:59:10 UTC
In gcc, libstdc++v3 and libgomp are released under GPLv3, with a runtime exception. I quote:

"Under Section 7 of GPL version 3, you are granted additional permissions described in the GCC Runtime Library Exception, version 3.1, as published by the Free Software Foundation."

and also:

"You should have received a copy of the GNU General Public License and a copy of the GCC Runtime Library Exception along with this program; see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see <http://www.gnu.org/licenses/>."

(Same wording in libgomp and libstdc++v3).

Hence the Fedora gcc package should ship the file COPYING.RUNTIME, but it does not:
$ rpm -q gcc; rpm -qd gcc | grep COPY
gcc-4.6.0-10.fc15.x86_64
/usr/share/doc/gcc-4.6.0/COPYING
/usr/share/doc/gcc-4.6.0/COPYING.LIB
/usr/share/doc/gcc-4.6.0/COPYING3
/usr/share/doc/gcc-4.6.0/COPYING3.LIB

I have verified in the git master branch of gcc at ssh://pkgs.fedoraproject.org/gcc that this issue is also in rawhide and F16.

Comment 1 Fedora Update System 2011-08-04 18:56:56 UTC
gcc-4.6.1-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gcc-4.6.1-7.fc16

Comment 2 Fedora Update System 2011-08-05 20:07:35 UTC
Package gcc-4.6.1-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gcc-4.6.1-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gcc-4.6.1-7.fc16
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-08-22 15:26:58 UTC
gcc-4.6.1-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.